export declare class AccessControlConfiguration {
    id?: number;
    clientId?: number;
    maxFailedConsecutiveLoginAttempts?: number | null;
    isTrackOldPasswords?: boolean;
    maxOldPasswordsBlock?: number;
    minPasswordLength?: number;
    isPasswordRequireNumber?: boolean;
    isPasswordRequireSymbol?: boolean;
    isPasswordRequireCapitalLetter?: boolean;
    creatorId?: number | null;
    createdAt?: Date;
    updatedAt?: Date;
    deletedAt?: Date | null;
    constructor(id?: number, clientId?: number, maxFailedConsecutiveLoginAttempts?: number | null, isTrackOldPasswords?: boolean, maxOldPasswordsBlock?: number, minPasswordLength?: number, isPasswordRequireNumber?: boolean, isPasswordRequireSymbol?: boolean, isPasswordRequireCapitalLetter?: boolean, creatorId?: number | null, createdAt?: Date, updatedAt?: Date, deletedAt?: Date | null);
    static fromObject(obj: any): AccessControlConfiguration;
}
