import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { HttpService, AlertService, ErrorHandlerService, FormValidatorService } from '../core';
import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { CurrentUserService, User } from '../user';
import * as i0 from "@angular/core";
export declare class ChangePasswordComponent implements OnInit {
    private http;
    private alertService;
    private router;
    currentUserService: CurrentUserService;
    private fb;
    private errorHandler;
    private formValidatorService;
    passwordHide: boolean;
    passwordConfirmationHide: boolean;
    passwordResetForm: UntypedFormGroup;
    user: User;
    isWorking: boolean;
    constructor(http: HttpService, alertService: AlertService, router: Router, currentUserService: CurrentUserService, fb: UntypedFormBuilder, errorHandler: ErrorHandlerService, formValidatorService: FormValidatorService);
    ngOnInit(): void;
    saveNewPassword(): void;
    isFieldValid(field: string): any;
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChangePasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChangePasswordComponent, "app-change-password", never, {}, {}, never, never, false, never>;
}
