/**
 * Class that stores the configuration data
 *
 * @author Joshua Kissoon
 * @since 20180724
 */
export declare class TechlifyConfig {
    projectKey: string;
    environment: string;
    authClientSecret: string;
    authGrantType: string;
    apiUrl: string;
    rawConfigs: any;
    storage: Storage;
    isLogoutWhileApiGetsFailed: boolean;
    constructor(data: any);
    loadFromMap(data: any): void;
}
