import { HttpEvent, HttpInterceptor, HttpHandler, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CredentialsService } from './credentials.service';
import * as i0 from "@angular/core";
/**
 * Prefixes all requests not starting with `http[s]` with `environment.serverUrl`.
 */
export declare class TokenInterceptor implements HttpInterceptor {
    private credentials;
    constructor(credentials: CredentialsService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TokenInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TokenInterceptor>;
}
