export declare class DataTable {
    displayedColumns: string[];
    columnsConfig: ColumnConfig[];
    actionsConfig?: ActionConfig;
    enableRowClick?: boolean;
    disableElevation?: boolean;
    downloadLink?: string;
    actionsMenuFunction?: any;
    actionsMenuButtonFunction?: any;
    editDisableFunction?: any;
    viewDisableFunction?: any;
    printDisableFunction?: any;
    customActionLabel?: string;
    stickyHeader?: boolean;
    page?: number;
    lastPage?: number;
    perPage?: number;
    pageSizeOptions?: number[];
    style?: any;
}
declare class ColumnConfig {
    title: string;
    value: string;
    sort?: boolean;
    dateField?: boolean;
    currencyField?: boolean;
    format?: string;
}
declare class ActionConfig {
    edit?: boolean;
    view?: boolean;
    download?: boolean;
    print?: boolean;
    deactivate?: boolean;
    actionsMenu?: ActionsMenu[];
}
declare class ActionsMenu {
    name: string;
    value: string;
}
export declare class PageEvent {
    page: number;
    lastPage?: number;
    perPage: number;
}
export {};
