import { OnInit } from '@angular/core';
import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { AlertService } from '../../../core/alert.service';
import { FormValidatorService } from '../../../core/form-validator.service';
import { HttpService } from '../../../core/http.service';
import * as i0 from "@angular/core";
export declare class EmailSubscriptionUserFormComponent implements OnInit {
    private fb;
    private formValidatorService;
    private alertService;
    dialogRef: MatDialogRef<EmailSubscriptionUserFormComponent>;
    data: any;
    private http;
    updateMode: boolean;
    esUserFormGroup: UntypedFormGroup;
    esUserFormFirstAttempt: boolean;
    esUser: any;
    isSubmitLoading: boolean;
    selectedUser: any;
    selectedType: any;
    constructor(fb: UntypedFormBuilder, formValidatorService: FormValidatorService, alertService: AlertService, dialogRef: MatDialogRef<EmailSubscriptionUserFormComponent>, data: any, http: HttpService);
    /** Method to create a form **/
    private createForm;
    ngOnInit(): void;
    submit(): void;
    cancel(): void;
    /**Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /**Method to find error in form fields*/
    getErrorMessage(field: string): any;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmailSubscriptionUserFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmailSubscriptionUserFormComponent, "app-email-subscription-user-form", never, {}, {}, never, never, false, never>;
}
