import { EventEmitter } from '@angular/core';
import { EntityFileService } from '../entity-files';
import * as i0 from "@angular/core";
export declare class FileUploadButtonComponent {
    private entityFileService;
    config: {
        fileId?: string | undefined;
        multiple?: boolean | undefined;
        accept?: string | undefined;
    };
    uploaded: EventEmitter<any[]>;
    readonly DEFAULT_FILE_ID = "file-upload-button";
    isUploading: boolean;
    constructor(entityFileService: EntityFileService);
    onFileChange(event: any): Promise<void>;
    selectFiles(event: any): void;
    private uploadFiles;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileUploadButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileUploadButtonComponent, "app-file-upload-button", never, { "config": { "alias": "config"; "required": false; }; }, { "uploaded": "uploaded"; }, never, never, true, never>;
}
