import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AlertService, FormValidatorService } from '../core';
import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { UserConfigService } from '../user-config';
import { MultiUserConfig } from '../user-config';
import { CredentialsService, ErrorHandlerService, HttpService } from '../core';
import { User } from '../user';
import { CurrentUserService } from '../user';
import * as i0 from "@angular/core";
export declare class ForgotPasswordComponent implements OnInit {
    private http;
    private alerter;
    private router;
    currentUserService: CurrentUserService;
    private errorService;
    private credentialService;
    private fb;
    private formValidatorService;
    userConfigService: UserConfigService;
    user: User;
    isWorking: boolean;
    forgotPasswordForm: UntypedFormGroup;
    userConfig: MultiUserConfig;
    constructor(http: HttpService, alerter: AlertService, router: Router, currentUserService: CurrentUserService, errorService: ErrorHandlerService, credentialService: CredentialsService, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, userConfigService: UserConfigService);
    ngOnInit(): void;
    sendOtp(): void;
    /** Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ForgotPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ForgotPasswordComponent, "forgot-password", never, {}, {}, never, never, false, never>;
}
