import { OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { AlertService } from '../core';
import { StorageService } from '../core';
import { UntypedFormGroup } from '@angular/forms';
import { UserConfigService } from '../user-config';
import { MultiUserConfig } from '../user-config';
import { AuthenticationService, CredentialsService } from '../core';
import { User } from '../user';
import { CurrentUserService } from '../user';
import { UserTypeEnum } from '../user/user-type.enum';
import * as i0 from "@angular/core";
export declare class LoginComponent implements OnInit {
    private alerter;
    private router;
    private authService;
    currentUserService: CurrentUserService;
    private storage;
    private credentialService;
    private route;
    userConfigService: UserConfigService;
    user: User;
    isWorking: boolean;
    loginForm: UntypedFormGroup;
    userConfig: MultiUserConfig;
    loginError: {
        type: string;
        message: string;
    };
    userType: typeof UserTypeEnum;
    constructor(alerter: AlertService, router: Router, authService: AuthenticationService, currentUserService: CurrentUserService, storage: StorageService, credentialService: CredentialsService, route: ActivatedRoute, userConfigService: UserConfigService);
    ngOnInit(): void;
    loadUser(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "login", never, {}, {}, never, never, false, never>;
}
