import { AccessControlConfiguration } from '../access-control-config/access-control-config.model';
import PasswordCheckResult from './password-check-result';
import * as i0 from "@angular/core";
export declare class PasswordCheckService {
    constructor();
    /**
     * Check if the password matches the access control config requirement or not.
     *
     * @param password Password
     * @param config Access control configuration
     */
    static checkPasswordRequirements(password: string, config: AccessControlConfiguration): PasswordCheckResult;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordCheckService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PasswordCheckService>;
}
