import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AccessControlConfiguration } from '../../access-control-config/access-control-config.model';
import PasswordCheckResult from '../password-check-result';
import { AccessControlConfigService } from "../../access-control-config/access-control-config.service";
import * as i0 from "@angular/core";
export declare class PasswordRequirementCheckComponent implements OnChanges, OnInit {
    private accessControlConfigService;
    password: string;
    email: string;
    accessControlConfiguration: AccessControlConfiguration;
    showResult: boolean;
    result: PasswordCheckResult;
    constructor(accessControlConfigService: AccessControlConfigService);
    ngOnChanges(changes: SimpleChanges): void;
    checkPasswordRequirements(): void;
    /**
     * Load the access control config for the current client or by email.
     */
    getConfiguration(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordRequirementCheckComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordRequirementCheckComponent, "techlify-password-requirement-check", never, { "password": { "alias": "password"; "required": false; }; "email": { "alias": "email"; "required": false; }; }, {}, never, never, false, never>;
}
