import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AlertService, FormValidatorService } from '../core';
import { UntypedFormBuilder } from '@angular/forms';
import { CurrentUserService } from '../user';
import { TechlifyFormComponentInterface } from '../base-model';
import { MultiUserConfig, UserConfigService } from '../user-config';
import { ResetPasswordService } from './reset-password.service';
import * as i0 from "@angular/core";
export declare class ResetPasswordComponent extends TechlifyFormComponentInterface implements OnInit {
    private resetPasswordService;
    private alertService;
    private router;
    currentUserService: CurrentUserService;
    private fb;
    formValidatorService: FormValidatorService;
    userConfigService: UserConfigService;
    private activatedRoute;
    passwordHide: boolean;
    passwordConfirmationHide: boolean;
    isWorking: boolean;
    userConfig: MultiUserConfig;
    errorMessages: any;
    constructor(resetPasswordService: ResetPasswordService, alertService: AlertService, router: Router, currentUserService: CurrentUserService, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, userConfigService: UserConfigService, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    submit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResetPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResetPasswordComponent, "app-reset-password", never, {}, {}, never, never, false, never>;
}
