import { OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { RestrictorLevelService } from '../restrictor-level.service';
import * as i0 from "@angular/core";
export declare class RestrictorLevelSelectorComponent implements OnInit, ControlValueAccessor {
    private restrictorLevelService;
    constructor(restrictorLevelService: RestrictorLevelService);
    label: string;
    multiple: boolean;
    showLabel: boolean;
    private _value;
    valueChanged: boolean;
    disabled: boolean;
    selectedOption: FormControl<any>;
    options: any[];
    onChange: (value: any) => void;
    onTouched: () => void;
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    /**
     * Reset the form control value
     */
    resetField(): void;
    /**
     * Get task types.
     * @private
     */
    private fetchData;
    static ɵfac: i0.ɵɵFactoryDeclaration<RestrictorLevelSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RestrictorLevelSelectorComponent, "techlify-restrictor-level-selector", never, { "label": { "alias": "label"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "showLabel": { "alias": "showLabel"; "required": false; }; }, {}, never, never, false, never>;
}
