import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { AlertService, ErrorHandlerService, FormValidatorService, HttpService } from '../core';
import { UserConfigService } from '../user-config';
import { MultiUserConfig } from '../user-config';
import * as i0 from "@angular/core";
export declare class SignUpComponent implements OnInit {
    private http;
    private alertService;
    private router;
    private errorService;
    private fb;
    private formValidatorService;
    userConfigService: UserConfigService;
    isWorking: boolean;
    signUpForm: UntypedFormGroup;
    userConfig: MultiUserConfig;
    constructor(http: HttpService, alertService: AlertService, router: Router, errorService: ErrorHandlerService, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, userConfigService: UserConfigService);
    ngOnInit(): void;
    signUp(): void;
    redirect(provider: any): void;
    /** Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignUpComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SignUpComponent, "signup", never, {}, {}, never, never, false, never>;
}
