import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { TechlifyUpdateService } from '../techlify-update.service';
import { ErrorHandlerService } from '../../core';
import * as i0 from "@angular/core";
export declare class TechlifyUpdatesTeaserComponent implements OnInit {
    private techlifyUpdateService;
    private errorHandler;
    private router;
    updates: any[];
    rootNavUrl: string;
    perPage: number;
    constructor(techlifyUpdateService: TechlifyUpdateService, errorHandler: ErrorHandlerService, router: Router);
    ngOnInit(): void;
    fetchUpdates(): Promise<void>;
    openUpdateHistory(): void;
    createUpdateViewRecord(update: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyUpdatesTeaserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TechlifyUpdatesTeaserComponent, "app-techlify-updates-teaser", never, { "rootNavUrl": { "alias": "rootNavUrl"; "required": false; }; "perPage": { "alias": "perPage"; "required": false; }; }, {}, never, never, false, never>;
}
