import { MatDialogRef } from '@angular/material/dialog';
import { HttpService } from '../core';
import { User } from './user.model';
import * as i0 from "@angular/core";
/**
 * Controller used to explore a User
 *
 * @author Saravana Kumar
 * @since 20190813
 */
export declare class UserExploreComponent {
    private http;
    dialogRef: MatDialogRef<UserExploreComponent>;
    data: any;
    user: User;
    isWorking: boolean;
    modules: any[];
    filters: any;
    constructor(http: HttpService, dialogRef: MatDialogRef<UserExploreComponent>, data: any);
    ngOnInit(): void;
    loadData(): void;
    /**Method to close dialog box */
    closeDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserExploreComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserExploreComponent, "user-explore", never, {}, {}, never, never, false, never>;
}
