/**
 * Class representation of a user
 *
 * @author Joshua Kissoon
 * @since 20170709
 */
export declare class User {
    id: number;
    name: string;
    email: string;
    password: string;
    enabled: string;
    user_type_id: number;
    is_temporary_password: boolean;
    client_id: number;
    roles: any[];
    permissions: any[];
    type: any;
    selected: boolean;
    client: any;
    temporarily_invited: boolean;
    short_name: string;
    avatar_color: string;
    signature: string;
    signature_url: string;
    user_client: any;
    clients: any[];
    constructor();
    loadFromMap(data: any): void;
}
