import { EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * Component to generate a num items selector
 *
 * @author Floyd Kissoon
 * @since 20170817
 */
export declare class NumItemsSelector {
    numItems: number;
    numItemsChange: EventEmitter<number>;
    constructor();
    /**
     * Called when an item has been selected
     */
    numItemsChanged(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumItemsSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumItemsSelector, "num-items-selector", never, { "numItems": { "alias": "numItems"; "required": false; }; }, { "numItemsChange": "numItemsChange"; }, never, never, false, never>;
}
