import { EventEmitter, OnInit } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * Component to generate a number selector
 *
 * @author Floyd Kissoon
 * @since 20180628
 */
export declare class NumberSelector implements OnInit {
    start_value: number;
    end_value: number;
    selectedValueChange: EventEmitter<number>;
    selectedValue: number;
    items: any[];
    constructor();
    /**
     * Called when an item has been selected
     */
    numChanged(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberSelector, "number-selector", never, { "start_value": { "alias": "start_value"; "required": false; }; "end_value": { "alias": "end_value"; "required": false; }; "selectedValue": { "alias": "selectedValue"; "required": false; }; }, { "selectedValueChange": "selectedValueChange"; }, never, never, false, never>;
}
