import { OnInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { Location } from '@angular/common';
import { ClientService } from '../client.service';
import { TechlifyFormComponentInterface } from '../../base-model';
import { CurrentUserService, User } from '../../user';
import { AlertService, FormValidatorService } from '../../core';
import * as i0 from "@angular/core";
export declare class CompanyInformationComponent extends TechlifyFormComponentInterface implements OnInit {
    private formBuilder;
    private currentUserService;
    private clientService;
    private alertService;
    private location;
    isWorking: boolean;
    user: User;
    constructor(formValidatorService: FormValidatorService, formBuilder: FormBuilder, currentUserService: CurrentUserService, clientService: ClientService, alertService: AlertService, location: Location);
    ngOnInit(): void;
    save(): void;
    onFileUploaded(uploadedFile: any[], field: string): void;
    redirectBack(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CompanyInformationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CompanyInformationComponent, "app-company-information", never, {}, {}, never, never, true, never>;
}
