import { MatSnackBar } from '@angular/material/snack-bar';
import * as i0 from "@angular/core";
/**
 * Service used to manage alerts in the entire system frontend
 *
 * @author Gokula Prasanna
 * @since 20210131
 */
export declare class AlertService {
    snackBar: MatSnackBar;
    constructor(snackBar: MatSnackBar);
    addAlert(message: string, alertType: string, duration?: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AlertService>;
}
