import { HttpEvent, HttpInterceptor, HttpHandler, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ConfigService } from './config.service';
import * as i0 from "@angular/core";
/**
 * Prefixes all requests not starting with `http[s]` with `environment.serverUrl`.
 */
export declare class ApiPrefixInterceptor implements HttpInterceptor {
    private configService;
    constructor(configService: ConfigService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiPrefixInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiPrefixInterceptor>;
}
