import { TechlifyConfig } from './techlify-config.model';
import { AlertService } from "./alert.service";
import * as i0 from "@angular/core";
/**
 * Service used to handle errors from the request
 *
 * @author Joshua Kissoon
 * @since 20171202
 */
export declare class ErrorHandlerService {
    private alerter;
    private config;
    constructor(alerter: AlertService, config: TechlifyConfig);
    handleError(errorResponse: any, msg?: string): void;
    isAuthURL(urlStr: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorHandlerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ErrorHandlerService>;
}
