import { OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class IpRangeSelectorComponent implements OnInit, ControlValueAccessor {
    constructor();
    label: string;
    subnetOptions: {
        value: number;
        range: number;
    }[];
    disabled: boolean;
    ipAddressControl: FormControl<string>;
    subnetControl: FormControl<number>;
    onChange: (value: any) => void;
    onTouched: () => void;
    ngOnInit(): void;
    registerOnChange(fn: any): void;
    writeValue(val: string): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    /**
     * Update the control value.
     * @private
     */
    private updateValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<IpRangeSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IpRangeSelectorComponent, "techlify-ip-range-selector", never, { "label": { "alias": "label"; "required": false; }; }, {}, never, never, false, never>;
}
