import { OnInit } from "@angular/core";
import { UntypedFormGroup, UntypedFormBuilder } from "@angular/forms";
import { MatDialogRef } from "@angular/material/dialog";
import { NoteService } from "../note.service";
import { FormValidatorService } from '../../core/form-validator.service';
import { AlertService } from "../../core/alert.service";
import * as i0 from "@angular/core";
export declare class NoteFormComponent implements OnInit {
    dialogRef: MatDialogRef<NoteFormComponent>;
    data: any;
    private fb;
    private formValidatorService;
    private alertService;
    private noteService;
    updateMode: boolean;
    noteFormGroup: UntypedFormGroup;
    noteFormFirstAttempt: boolean;
    constructor(dialogRef: MatDialogRef<NoteFormComponent>, data: any, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, alertService: AlertService, noteService: NoteService);
    /** Method to create a form **/
    private createForm;
    ngOnInit(): void;
    submit(): Promise<void>;
    cancel(): void;
    /**Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /**Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NoteFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NoteFormComponent, "app-note-form", never, {}, {}, never, never, false, never>;
}
