import { ControlValueAccessor, UntypedFormControl } from '@angular/forms';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { ElementRef, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export interface NumberInputOption {
    type: string;
    title: string;
    value: any;
    hint: string;
}
export declare const DEFAULT_SELECTED_VALUE = 1;
export declare class NumberInputButtonComponent implements OnInit, ControlValueAccessor {
    label: string;
    appearance?: MatFormFieldAppearance;
    showLabel: boolean;
    customInput: ElementRef;
    showCustomInput: boolean;
    options: NumberInputOption[];
    selectedOption: UntypedFormControl;
    customValue: UntypedFormControl;
    touched: boolean;
    disabled: boolean;
    onChange: (value: any) => void;
    onTouched: () => void;
    ngOnInit(): void;
    writeValue(obj: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberInputButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberInputButtonComponent, "app-number-input-button", never, { "label": { "alias": "label"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; "showLabel": { "alias": "showLabel"; "required": false; }; }, {}, never, never, false, never>;
}
