import { OnInit } from '@angular/core';
import { RestrictorTypeService } from '../restrictor-type.service';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RestrictorTypeSelectorComponent implements OnInit, ControlValueAccessor {
    private restrictorTypeService;
    constructor(restrictorTypeService: RestrictorTypeService);
    label: string;
    multiple: boolean;
    showLabel: boolean;
    private _value;
    valueChanged: boolean;
    disabled: boolean;
    selectedOption: FormControl<any>;
    options: any[];
    onChange: (value: any) => void;
    onTouched: () => void;
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    /**
     * Reset the form control value
     */
    resetField(): void;
    /**
     * Get task types.
     * @private
     */
    private fetchData;
    static ɵfac: i0.ɵɵFactoryDeclaration<RestrictorTypeSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RestrictorTypeSelectorComponent, "techlify-restrictor-type-selector", never, { "label": { "alias": "label"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "showLabel": { "alias": "showLabel"; "required": false; }; }, {}, never, never, false, never>;
}
