import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { DatePipe, Location } from '@angular/common';
import { AlertService } from '../../core';
import { RestrictorService } from '../restrictor.service';
import { RequestHelperService } from '../../request-helper/request-helper.service';
import * as i0 from "@angular/core";
export declare class RestrictorsFormComponent implements OnInit {
    private fb;
    private location;
    private requestHelperService;
    private alertService;
    private restrictorService;
    private datePipe;
    restrictor: any;
    form: FormGroup;
    isSaving: boolean;
    constructor(fb: FormBuilder, location: Location, requestHelperService: RequestHelperService, alertService: AlertService, restrictorService: RestrictorService, datePipe: DatePipe);
    ngOnInit(): void;
    /**
     * Send the request to save the restrictor record.
     */
    save(): void;
    /**
     * Redirect back to last location.
     */
    redirectBack(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RestrictorsFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RestrictorsFormComponent, "techlify-restrictors-form", never, { "restrictor": { "alias": "restrictor"; "required": false; }; }, {}, never, never, false, never>;
}
