import { OnInit } from '@angular/core';
import { AlertService, CredentialsService, HttpService } from '../../core';
import { CurrentUserService, User } from '../../user';
import * as i0 from "@angular/core";
export declare class TechlifyCompanySwitcherComponent implements OnInit {
    private http;
    private credentialsService;
    private alertService;
    private currentUserService;
    userClients: any[];
    user: User;
    constructor(http: HttpService, credentialsService: CredentialsService, alertService: AlertService, currentUserService: CurrentUserService);
    ngOnInit(): void;
    /**
     * Load User Clients.
     */
    loadUserClients(): void;
    /**
     * Switch the company.
     *
     * @param userClient
     */
    switchClient(userClient: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyCompanySwitcherComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TechlifyCompanySwitcherComponent, "app-techlify-company-switcher", never, {}, {}, never, never, false, never>;
}
