import { ElementRef } from '@angular/core';
import { ErrorHandlerService } from '../core/error-handler.service';
import { StorageService } from '../core/storage.service';
import { TechlifyFeatureService } from './techlify-feature.service';
import * as i0 from "@angular/core";
export declare class TechlifyFeatureEnabledDirective {
    private el;
    private featureService;
    private errorHandler;
    private storage;
    features: any;
    localFeatures: any[];
    enabledFeature: any;
    constructor(el: ElementRef, featureService: TechlifyFeatureService, errorHandler: ErrorHandlerService, storage: StorageService);
    ngOnInit(): void;
    getFeatures(): Promise<void>;
    checkForFeatureEnabled(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyFeatureEnabledDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TechlifyFeatureEnabledDirective, "[techlifyFeatureEnabled]", never, { "enabledFeature": { "alias": "techlifyFeatureEnabled"; "required": false; }; }, {}, never, never, false, never>;
}
