import { AlertService } from "../../core/alert.service";
import { TechlifyUpdateService } from './../techlify-update.service';
import { EventEmitter, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { FormValidatorService } from '../../core/form-validator.service';
import { MatDialogRef } from '@angular/material/dialog';
import { Editor, Toolbar } from 'ngx-editor';
import * as i0 from "@angular/core";
export declare class TechlifyUpdateFormComponent implements OnInit {
    dialogRef: MatDialogRef<TechlifyUpdateFormComponent>;
    data: any;
    private fb;
    private formValidatorService;
    private alertService;
    private techlifyUpdateService;
    onSave: EventEmitter<any>;
    techlifyUpdateForm: UntypedFormGroup;
    isUpdateMode: boolean;
    editor: Editor;
    toolbar: Toolbar;
    constructor(dialogRef: MatDialogRef<TechlifyUpdateFormComponent>, data: any, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, alertService: AlertService, techlifyUpdateService: TechlifyUpdateService);
    private createForm;
    ngOnInit(): void;
    submit(): Promise<void>;
    resetFieldValue(field: string): void;
    getFieldValue(field: string): any;
    /** Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyUpdateFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TechlifyUpdateFormComponent, "app-techlify-update-form", never, {}, { "onSave": "onSave"; }, never, never, false, never>;
}
