import { EventEmitter, OnInit } from '@angular/core';
import { AlertService, CredentialsService } from '../core';
import { UserClientService } from '../user-clients-list/user-client.service';
import { User } from "../user/user.model";
import { CurrentUserService } from "../user/current-user.service";
import * as i0 from "@angular/core";
export declare class UserClientEnableDisableButtonComponent implements OnInit {
    private credentialsService;
    protected currentUserService: CurrentUserService;
    protected service: UserClientService;
    private alertService;
    userClient: any;
    saved: EventEmitter<any>;
    user: User;
    isWorking: boolean;
    constructor(credentialsService: CredentialsService, currentUserService: CurrentUserService, service: UserClientService, alertService: AlertService);
    ngOnInit(): void;
    enable(): void;
    disable(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserClientEnableDisableButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserClientEnableDisableButtonComponent, "app-user-client-enable-disable-button", never, { "userClient": { "alias": "userClient"; "required": false; }; }, { "saved": "saved"; }, never, never, false, never>;
}
