export declare class UserConfig {
    rawData: any;
    constructor(data: any);
}
export declare class MultiUserConfig {
    appName?: String;
    appUrl?: String;
    appLogoUrl?: String;
    showSignup?: boolean;
    showSocialLogin?: boolean;
    socialLoginRedirectUrl?: string;
    showForgotPassword?: boolean;
    allowAppAdminLogin?: boolean;
    allowAllUsersToLogin?: boolean;
    loginWithoutSubscription?: boolean;
    scrollContainer?: string;
    userConfig?: UserListPageConfig;
    permissionConfig?: {
        disableUsers: boolean;
        disableRoles: boolean;
    };
    roleConfig?: {
        disableUsers: boolean;
        disablePermissions: boolean;
        showModuleSelectorOnForm: boolean;
        disableAddRole: boolean;
    };
    constructor(data: any);
    loadFromMap(data: any): void;
}
export declare class UserListPageConfig {
    showExploreUser: boolean;
    showResetPasswordForClient: boolean;
    showRoles: boolean;
    showFormRoles: boolean;
    showPermissions: boolean;
    showAddUser: boolean;
    showUserTypes: boolean;
    showPhone: boolean;
    userTypes?: any;
    showImportButton: boolean;
    showSignature: boolean;
    showConfigurations: boolean;
    configurationPageRoute?: any;
    showEnableDisableButton: boolean;
    showRestrictors?: boolean;
    showDefaultMargin?: boolean;
    constructor(data: any);
    loadFromMap(data: any): void;
}
